Articles of rvm

Установка ruby ​​2.0.0-p247 на Ubuntu 12.04.1 LTS

Я пытаюсь установить ruby ​​2.0 на свой ящик ubuntu, и я продолжаю получать следующее: SERVER_USER@SERVER_NAME:/var/www/FOLDER_NAME$ rvm get stable && rvm install ruby-2.0.0 ERROR: Unknown ruby interpreter version: ‘2.0.0’ Installing Ruby from source to: /usr/share/ruby-rvm/rubies/ruby-2.0.0-p247, this may take a while depending on your cpu(s)… ruby-2.0.0-p247 – #fetching ruby-2.0.0-p247 – #downloading ruby-2.0.0-p247, this may take a while […]

RVM – не может установить gem бережливость на Ubuntu 11.10

Я использую Ubuntu 11.10 и ruby ​​1.9.2 Я не могу установить gem на моей машине $ gem install thrift –no-ri –no-rdoc Building native extensions. This could take a while… ERROR: Error installing thrift: ERROR: Failed to build gem native extension. /home/sayuj/.rvm/rubies/ruby-1.9.2-p290/bin/ruby extconf.rb checking for strlcpy() in string.h… no creating Makefile make gcc -I. -I/home/sayuj/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/x86_64-linux -I/home/sayuj/.rvm/rubies/ruby-1.9.2-p290/include/ruby-1.9.1/ruby/backward […]

/ usr / bin / env: ruby1.8: Нет такого файла или каталога

Я установил ruby ​​1.9.3, и теперь, когда я хочу запустить «сервер rails» в проекте, я получаю эту ошибку: / usr / bin / env: ruby1.8: Нет такого файла или каталога Я видел в некоторых сообщениях, что мне нужно изменить PATH но я не знаю, как это сделать. Я новичок в Linux. echo $PATH: ~/bin:/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin‌​:/sbin:/bin:/usr/games:/home/mordehai/.rvm/bin:/home/mordehai/.rvm/bin Я […]

Не удалось установить Rails с помощью RVM на Ubuntu 12.04 LTS

Я использую Ubuntu 12.04 LTS x86_64 Minimal, и я установил Ruby и RVM в соответствии с этими инструкциями . Ruby устанавливается отлично, а RVM устанавливается отлично и отлично работает. Я посетил почти каждый вопрос, который я могу найти, и статью по этой проблеме, и ничего не сработало. Rails по-прежнему не будут установлены, и я не […]

Потребление памяти Phusion Passenger увеличивается с 1.9.3 (система) до 2.1.2 (RVM) на Ubuntu

У меня есть система Ubuntu с физической памятью 512 МБ и свобом 512 Мбайт. Запуск моих четырех Rails 3.2.12 приложений на сервере Passenger 4.0.45 (модуль Apache) с использованием однопользовательского (моего пользователя) RVM Ruby 2.1.2, он использует примерно на 30% больше памяти, чем при настройке Пассажира на использование более старой системы ( root) Ruby 1.9.3. Это […]

Как избавиться от ошибок при создании нового приложения rails на разделе NTFS?

Когда я создаю новое приложение rails на моем разделе NTFS, я получаю кучу ошибок. Хотя, с той же конфигурацией, я не получаю никаких ошибок при создании проекта в своем домашнем каталоге, который находится на форматированном разделе ext4. Вот что я получаю. $ rails new project create create README create Rakefile […] create public/index.html create public/robots.txt […]

RVM не распознается, пока я не запустил «source ~ / .profile» в терминале

sergio@sergio-VirtualBox:~/code$ rails -v The program ‘rails’ is currently not installed. You can install it by typing: sudo apt-get install rails sergio@sergio-VirtualBox:~/code$ source ~/.profile sergio@sergio-VirtualBox:~/code$ rails -v Rails 3.2.1 Любые идеи, почему команда не работает, пока я не запустил «source ~ / .profile»? Я бы не стал делать это каждый раз, когда я запускаю свою машину […]

Команда Ruby не распознается после установки с rvm

Я выполнил этот урок, чтобы установить ruby ​​с rvm: https://www.digitalocean.com/community/tutorials/how-to-install-ruby-on-rails-on-ubuntu-12-04-lts-precise-pangolin- с-РВМ Проблема в том, что каждый раз, когда я вхожу в систему, рубиновая установка не распознается, например, если я пытаюсь выполнить рубиновый скрипт с помощью команды ruby, это то, что я получаю: Чтобы убедиться, что я должен выполнить эту команду: source ~/.rvm/scripts/rvm Но каждый раз, […]

Как установить более старую версию ruby ​​на ubuntu Precise Pangolin?

У меня есть подарок: старые руководства Rails, которым нужна старая рубиновая версия. Я пытаюсь установить ruby-1.8 с помощью диспетчера пакетов. У меня все еще возникают проблемы с примером кода учебника. Затем я попробую rvm установить старую рубиновую версию. К сожалению, у меня есть ошибка. Я не знаю что делать. Я ищу в Интернете. У многих […]

Не удалось установить RVM с помощью завитка

Когда я пытаюсь установить rvm с помощью curl, он отображает следующее сообщение: – vverma@l-vverma:~$ curl -L get.rvm.io | bash -s stable % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 –:–:– –:–:– –:–:– 0curl: (7) couldn't connect to […]